classification
Title: [PATCH] Update Lib/distutils/sysconfig.py to handle x64 Windows builds living in pcbuild/amd64.
Type: behavior Stage:
Components: Library (Lib) Versions: Python 3.0, Python 2.6
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: trent Nosy List: loewis, trent
Priority: normal Keywords: patch

Created on 2008-03-14 22:12 by trent, last changed 2008-03-19 06:32 by trent. This issue is now closed.

Files
File name Uploaded Description Edit
sysconfig.py.patch trent, 2008-03-14 22:12 Patch to trunk/Lib/distutils/sysconfig.py
Messages (5)
msg63537 - (view) Author: Trent Nelson (trent) * (Python committer) Date: 2008-03-14 22:12
This patch is required in order to support x64 Windows builds that live
in pcbuild/amd64.  Without it, sysutils._python_build() returns the
wrong directory, which causes the test_get_config_h_filename method in
Lib/distutils/tests/test_sysconfig.py to fail.
msg63544 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-03-15 03:42
That shouldn't apply to 2.5, right?
msg63547 - (view) Author: Trent Nelson (trent) * (Python committer) Date: 2008-03-15 14:01
Ah, I suspect not.  (Unless the 64-bit python*.exe builds end up in 
pcbuild/amd64.)
msg63773 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-03-17 21:01
This patch is fine, please apply.
msg64042 - (view) Author: Trent Nelson (trent) * (Python committer) Date: 2008-03-19 06:32
Fixed in r61606.
History
Date User Action Args
2008-03-19 06:32:54trentsetstatus: open -> closed
messages: + msg64042
2008-03-17 21:01:44loewissetassignee: trent
resolution: accepted
messages: + msg63773
2008-03-15 14:01:45trentsetmessages: + msg63547
versions: - Python 2.5
2008-03-15 03:42:12loewissetnosy: + loewis
messages: + msg63544
2008-03-14 22:12:25trentcreate